Bug 192232 - [ports-mgmt/portupgrade] Added 'security vulnerability' to the reasons of failure.
Summary: [ports-mgmt/portupgrade] Added 'security vulnerability' to the reasons of fai...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-29 04:17 UTC by Yuri Victorovich
Modified: 2015-05-27 15:21 UTC (History)
1 user (show)

See Also:


Attachments
patch (572 bytes, patch)
2014-07-29 04:18 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2014-07-29 04:17:50 UTC
This patch adds specific failure description "security vulnerabilities" instead of "unknown build error" in case of build failure due to vulnerability listed here security/vuxml/vuln.xml
Comment 1 Yuri Victorovich freebsd_committer 2014-07-29 04:18:25 UTC
Created attachment 145113 [details]
patch
Comment 2 Bryan Drewery freebsd_committer 2014-07-29 05:46:44 UTC
Thanks, will get it into portupgrade-devel soon.
Comment 3 commit-hook freebsd_committer 2015-05-14 18:33:10 UTC
A commit references this bug:

Author: bdrewery
Date: Thu May 14 18:32:23 UTC 2015
New revision: 386352
URL: https://svnweb.freebsd.org/changeset/ports/386352

Log:
  Update to 2.4.13-3-g9696855

  Changes:
    * Support security vulnerabilities as a build failure reason.

  PR:		192232
  Submitted by:	Yuri <yuri@rawbw.com>

Changes:
  head/ports-mgmt/portupgrade-devel/Makefile
  head/ports-mgmt/portupgrade-devel/distinfo
Comment 4 commit-hook freebsd_committer 2015-05-27 15:18:33 UTC
A commit references this bug:

Author: bdrewery
Date: Wed May 27 15:17:57 UTC 2015
New revision: 387621
URL: https://svnweb.freebsd.org/changeset/ports/387621

Log:
  Update to 2.4.14

  Changes:
    * Fix ordering of build based on FETCH/PATCH/EXTRACT dependencies. [1]
    * Support security vulnerabilities as a build failure reason. [2]
    * portupgrde -p: Fix new dependencies not getting installed. (#58) [3]
    * Don't install missing dependencies which are already satisfied (#62).
      Note that this purposely causes these missing dependencies to not show
      in the job (-n) and final results output which is a compromise to at least
      avoid the wrong packages being installed. The logging issue is in #30.

  PR:		177365 [1]
  Submitted by:	truckman@ [1]
  PR:		192232 [2]
  Submitted by:	Yuri <yuri@rawbw.com> [2]
  PR:		184672 [3]

Changes:
  head/ports-mgmt/portupgrade/Makefile
  head/ports-mgmt/portupgrade/distinfo
Comment 5 Bryan Drewery freebsd_committer 2015-05-27 15:21:09 UTC
Fixed. Sorry for the delays.